/* Copyright (C) 2002 GFRN systems

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   The latest version of this program may be found at
   http://CQiNet.sourceforge.net

   The following data is specific to the iLink "protocol".  This information
   was determined by "sniffing" the Ether(net).  A offical source this file
   is not !
   
   $Log: ilink.h,v $
   Revision 1.1.1.1  2002/08/10 20:33:41  wb6ymh
   initial import

*/

#ifndef ILINK_H_
#define ILINK_H_

/*
   Each iLink/EchoLink audio packet consists of a 12 byte (modified) RTP
   header plus 4 GSM 6.10 encoded audio frames.  Each GSM audio frame 
   consists of 33 bytes corresponding to 160 audio samples.
   
   So:
   
   (8000 samples/second) / (160 samples/gsm frame) / (4 gsm frames/packet) =
   12.5 packets/second.  or 1 packet every .08 seconds.
   
   Additionally each packet consists of an IP header and an UDP header so
   
   (12.5 packets/second) * (20+8+12+(33 * 4)) bytes/packet) * 8 bits/byte =
   17200 bits/second.
   
*/

#define StartOfData        "@@@"
#define DummyCallsign      "    "
#define DummyIPAdr         "127.0.0.1"
#define DummyNodeID        "     "
#define EndOfData          "+++"

#define ILINK_RTP_PORT     5198
#define ILINK_RTCP_PORT    5199
#define ILINK_RTP_VERSION  3

#define ILINK_DIRSERVER_PORT     5200

// Text data packets are set to the RTP port and begin with a 0x6f 

#define ILINK_DATA_PACKET  0x6f
#define NDATA              "NDATA"

#define MAX_CALL_LEN       10
#define MAX_QTH_LEN        27


#endif
